Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSTeamButton Class Reference

Represents team button feature. More...

`#import <CSTeamButton.h>`

Inherits NSObject.

## Instance Methods
(void) | - speedDialWithOverride:completionHandler:
| Initiates team button speed dial. More...
(void) | - setPersonalizedLabel:completionHandler:
| Updates the Team Button with personalized label given by user. More...

## Properties
NSString * | label
| Returns the the label of team button. More...
NSString * | ownerExtension
| Returns the extension of monitored station. More...
CSForwardingOverride | forwardingOverride
| Specifies whether the forwarding destination of monitored station will be ignored by Team Button speed dial invocation if any of forwarding features are enabled on the monitored station. More...
NSString * | forwardingDestination
| Returns the rerouting destination of the monitored station. More...
BOOL | forwardingEnabled
| Shows whether the monitored station has forwarding enabled. More...
BOOL | pickupByGoingOffHookEnabled
| Indicates whether to pickup the currently selected call in the screen after going off hook when the Team Pickup screen is displayed. More...
BOOL | silentIfActive
| Indicates whether the Team Button audible alert should not be played if the monitoring station has at least one call appearance active. More...
BOOL | busy
| Indicates whether the monitored station has an active call. More...
NSTimeInterval | delayInterval
| Specifies the delay interval in seconds the team button alert should be delayed by if the CSTeamButton::pickupRingType is set to DELAYED. More...
CSRingType | pickupRingType
| Returns the team button call pickup ring types if configured. More...
NSArray< CSTeamButtonIncomingCall * > * | teamButtonIncomingCalls
| List of the incoming calls alerting on monitored extension. More...
CSCapability * | pickupCapability
| A capability object indicating whether the user can pick up the Team button call. More...
CSCapability * | speedDialCapability
| A capability object indicating whether the user can initiate speed dial using the Team button. More...

## Detailed Description

Represents team button feature.

A monitoring station can perform speed dial or pick up an incoming call ringing on the monitoring extension. This object is provided with notification whenever the status changes.

## Method Documentation

- (void) setPersonalizedLabel: |  | (NSString *) | featureLabel
completionHandler: |  | (void(^)(NSError *error)) | handler

Updates the Team Button with personalized label given by user.

Parameters

  featureLabel | The personalized label to be set.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) speedDialWithOverride: |  | (BOOL) | overrideDestination
completionHandler: |  | (void(^)(NSError *error)) | handler

Initiates team button speed dial.

Parameters

  overrideDestination | Specifies whether the forwarding destination of monitored station will be overridden depending on the override policy.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSTeamButton::forwardingOverride

## Property Documentation

- (BOOL) busy
| read nonatomic assign

Indicates whether the monitored station has an active call.

- (NSTimeInterval) delayInterval
| read nonatomic assign

Specifies the delay interval in seconds the team button alert should be delayed by if the CSTeamButton::pickupRingType is set to DELAYED.

Deprecated:
  Please use CSTeamButtonIncomingCall::delayInterval instead.

- (NSString*) forwardingDestination
| read nonatomic assign

Returns the rerouting destination of the monitored station.

See also
  CSTeamButton::forwardingEnabled

- (BOOL) forwardingEnabled
| read nonatomic assign

Shows whether the monitored station has forwarding enabled.

Rerouting is considered active if Send All Calls, Call Forward or Enhanced Call Forward have active forwarding.

See also
  CSTeamButton::forwardingDestination

- (CSForwardingOverride) forwardingOverride
| read nonatomic assign

Specifies whether the forwarding destination of monitored station will be ignored by Team Button speed dial invocation if any of forwarding features are enabled on the monitored station.

If set to ask, the client can override the forwarding destination using the override argument of CSTeamButton::speedDialWithOverride:completionHandler:

See also
  CSTeamButton::forwardingEnabled
  CSTeamButton::forwardingDestination

- (NSString*) label
| read nonatomic assign

Returns the the label of team button.

- (NSString*) ownerExtension
| read nonatomic assign

Returns the extension of monitored station.

- (BOOL) pickupByGoingOffHookEnabled
| read nonatomic assign

Indicates whether to pickup the currently selected call in the screen after going off hook when the Team Pickup screen is displayed.

- (CSCapability*) pickupCapability
| read atomic assign

A capability object indicating whether the user can pick up the Team button call.

Allowed when the monitoring station has at least one incoming ringing call. Mutual exclusive with CSTeamButton::speedDialCapability.

- (CSRingType) pickupRingType
| read nonatomic assign

Returns the team button call pickup ring types if configured.

The possible values are with the according CM setting values: Off - No ringing - 'n' On - Continuous ringing - 'r' Delayed - Delayed ringing - 'd' Abbreviated - Abbreviated (single) ringing - 'a' InterCom - Intercom ringing - 'i' Delayed ring type means the team button alert should be delayed by delay time specified CSTeamButton::delayInterval.

See also
  CSTeamButton::CSRingType

- (BOOL) silentIfActive
| read nonatomic assign

Indicates whether the Team Button audible alert should not be played if the monitoring station has at least one call appearance active.

- (CSCapability*) speedDialCapability
| read atomic assign

A capability object indicating whether the user can initiate speed dial using the Team button.

Allowed when the monitoring station has no incoming ringing calls. Mutual exclusive with CSTeamButton::pickupCapability.

- (NSArray<CSTeamButtonIncomingCall *>*) teamButtonIncomingCalls
| read nonatomic assign

List of the incoming calls alerting on monitored extension.

See also
  CSIncomingTeamButtonCall

The documentation for this class was generated from the following file:

- CSTeamButton.h